Page 3 of 4 FirstFirst 1234 LastLast
Results 21 to 30 of 37

Thread: Getting error when trying to update Ubuntu

  1. #21
    Join Date
    Mar 2016
    Beans
    18

    Re: Getting error when trying to update Ubuntu

    Here we go.

    Code:
    user@ip-10-153-174-8:~$ sudo ldconfig -v
    /sbin/ldconfig.real: Path `/lib/x86_64-linux-gnu' given more than once
    /sbin/ldconfig.real: Path `/usr/lib/x86_64-linux-gnu' given more than once
    /usr/lib/x86_64-linux-gnu/libfakeroot:
        libfakeroot-0.so -> libfakeroot-tcp.so
    /usr/local/lib:
    /lib/x86_64-linux-gnu:
        libgcc_s.so.1 -> libgcc_s.so.1
        libply-boot-client.so.2 -> libply-boot-client.so.2.1.0
        libdl.so.2 -> libdl-2.19.so
        libcrypto.so.1.0.0 -> libcrypto.so.1.0.0
        libanl.so.1 -> libanl-2.19.so
        libntfs-3g.so.841 -> libntfs-3g.so.841.0.0
        librt.so.1 -> librt-2.19.so
        libnsl.so.1 -> libnsl-2.19.so
        libudev.so.1 -> libudev.so.1.3.5
        libsystemd-daemon.so.0 -> libsystemd-daemon.so.0.0.10
        libnss_dns.so.2 -> libnss_dns-2.19.so
        libpcsclite.so.1 -> libpcsclite.so.1.0.0
        libSegFault.so -> libSegFault.so
        libext2fs.so.2 -> libext2fs.so.2.4
        libc.so.6 -> libc-2.19.so
        libpcre.so.3 -> libpcre.so.3.13.1
        libreadline.so.5 -> libreadline.so.5.2
        libacl.so.1 -> libacl.so.1.1.0
        libpcprofile.so -> libpcprofile.so
        libusb-0.1.so.4 -> libusb-0.1.so.4.4.4
        libpamc.so.0 -> libpamc.so.0.82.1
        libgpg-error.so.0 -> libgpg-error.so.0.10.0
        libattr.so.1 -> libattr.so.1.1.0
        libcom_err.so.2 -> libcom_err.so.2.1
        libpam.so.0 -> libpam.so.0.83.1
        libiw.so.30 -> libiw.so.30
        liblzo2.so.2 -> liblzo2.so.2.0.0
        libmount.so.1 -> libmount.so.1.1.0
        libatm.so.1 -> libatm.so.1.0.0
        libpam_misc.so.0 -> libpam_misc.so.0.82.0
        libnewt.so.0.52 -> libnewt.so.0.52.15
        libwrap.so.0 -> libwrap.so.0.7.6
        libcgmanager.so.0 -> libcgmanager.so.0.0.0
        libresolv.so.2 -> libresolv-2.19.so
        libsepol.so.1 -> libsepol.so.1
        libfuse.so.2 -> libfuse.so.2.9.2
        libuuid.so.1 -> libuuid.so.1.3.0
        libcrypt.so.1 -> libcrypt-2.19.so
        libnih-dbus.so.1 -> libnih-dbus.so.1.0.0
        libprocps.so.3 -> libprocps.so.3.0.0
        libnss_files.so.2 -> libnss_files-2.19.so
        libply-splash-core.so.2 -> libply-splash-core.so.2.1.0
        libhistory.so.6 -> libhistory.so.6.3
        libnss_nisplus.so.2 -> libnss_nisplus-2.19.so
        libssl.so.1.0.0 -> libssl.so.1.0.0
        libparted.so.0 -> libparted.so.0.0.1
        libply-splash-graphics.so.2 -> libply-splash-graphics.so.2.1.0
        libtinfo.so.5 -> libtinfo.so.5.9
        libdevmapper.so.1.02.1 -> libdevmapper.so.1.02.1
        libpopt.so.0 -> libpopt.so.0.0.0
        libnss_nis.so.2 -> libnss_nis-2.19.so
        libutil.so.1 -> libutil-2.19.so
        libpng12.so.0 -> libpng12.so.0.50.0
        libkmod.so.2 -> libkmod.so.2.2.5
        libaio.so.1 -> libaio.so.1.0.1
        libnss_compat.so.2 -> libnss_compat-2.19.so
        libncursesw.so.5 -> libncursesw.so.5.9
        libsystemd-login.so.0 -> libsystemd-login.so.0.7.1
        libcidn.so.1 -> libcidn-2.19.so
        libblkid.so.1 -> libblkid.so.1.1.0
        libexpat.so.1 -> libexpat.so.1.6.0
        libudev.so.0 -> libudev.so.0.13.0
        liblzma.so.5 -> liblzma.so.5.0.0
        libnss_hesiod.so.2 -> libnss_hesiod-2.19.so
        libcap.so.2 -> libcap.so.2.24
        libbsd.so.0 -> libbsd.so.0.6.0
        libgcrypt.so.11 -> libgcrypt.so.11.8.2
        libpci.so.3 -> libpci.so.3.2.1
        libply.so.2 -> libply.so.2.1.0
        libhistory.so.5 -> libhistory.so.5.2
        libnl-3.so.200 -> libnl-3.so.200.16.1
        libnl-genl-3.so.200 -> libnl-genl-3.so.200.16.1
        libbz2.so.1.0 -> libbz2.so.1.0.4
        libpthread.so.0 -> libpthread-2.19.so
        libkeyutils.so.1 -> libkeyutils.so.1.4
    /sbin/ldconfig.real: /lib/x86_64-linux-gnu/ld-2.19.so is the dynamic linker, ignoring
    
        ld-linux-x86-64.so.2 -> ld-2.19.so
        libss.so.2 -> libss.so.2.0
        libe2p.so.2 -> libe2p.so.2.3
        libselinux.so.1 -> libselinux.so.1
        libreadline.so.6 -> libreadline.so.6.3
        libglib-2.0.so.0 -> libglib-2.0.so.0.4002.0
        libdbus-1.so.3 -> libdbus-1.so.3.7.6
        libusb-1.0.so.0 -> libusb-1.0.so.0.1.0
        libslang.so.2 -> libslang.so.2.2.4
        libjson-c.so.2 -> libjson.so.0
        libnih.so.1 -> libnih.so.1.0.0
        libz.so.1 -> libz.so.1.2.8
        libBrokenLocale.so.1 -> libBrokenLocale-2.19.so
        libulockmgr.so.1 -> libulockmgr.so.1.0.1
        libmemusage.so -> libmemusage.so
        libaudit.so.1 -> libaudit.so.1.0.0
        libthread_db.so.1 -> libthread_db-1.0.so
        libm.so.6 -> libm-2.19.so
        libncurses.so.5 -> libncurses.so.5.9
    /usr/lib/x86_64-linux-gnu:
        libformw.so.5 -> libformw.so.5.9
        libXrender.so.1 -> libXrender.so.1.3.0
        librtmp.so.0 -> librtmp.so.0
        libplc4.so -> libplc4.so
        libtsan.so.0 -> libtsan.so.0.0.0
        libsigsegv.so.2 -> libsigsegv.so.2.0.3
        libnspr4.so -> libnspr4.so
        librados.so.2 -> librados.so.2.0.0
        libck-connector.so.0 -> libck-connector.so.0.0.0
        libroken.so.18 -> libroken.so.18.1.0
        libsmime3.so -> libsmime3.so
        libXmuu.so.1 -> libXmuu.so.1.0.0
        libltdl.so.7 -> libltdl.so.7.3.0
        libgccpp.so.1 -> libgccpp.so.1.0.3
        libgnutls-openssl.so.27 -> libgnutls-openssl.so.27.0.0
        libplds4.so -> libplds4.so
        libboost_thread.so.1.54.0 -> libboost_thread.so.1.54.0
        libatomic.so.1 -> libatomic.so.1.0.0
        libkrb5.so.26 -> libkrb5.so.26.0.0
        libapt-pkg.so.4.12 -> libapt-pkg.so.4.12.0
        libdbus-glib-1.so.2 -> libdbus-glib-1.so.2.2.2
        libxcb.so.1 -> libxcb.so.1.1.0
        libssl3.so -> libssl3.so
        libaprutil-1.so.0 -> libaprutil-1.so.0.5.3
        libheimbase.so.1 -> libheimbase.so.1.0.0
        libmpfr.so.4 -> libmpfr.so.4.1.2
        libkrb5.so.3 -> libkrb5.so.3.3
        libasn1.so.8 -> libasn1.so.8.0.0
        libfontconfig.so.1 -> libfontconfig.so.1.8.0
        libicule.so.52 -> libicule.so.52.1
        libsemanage.so.1 -> libsemanage.so.1
        libldap_r-2.4.so.2 -> libldap_r-2.4.so.2.8.3
        libdb-5.1.so -> libdb-5.1.so
        libgcr-base-3.so.1 -> libgcr-base-3.so.1.0.0
        liblockfile.so.1 -> liblockfile.so.1.0
        libgomp.so.1 -> libgomp.so.1.0.0
        libexslt.so.0 -> libexslt.so.0.8.17
        libwind.so.0 -> libwind.so.0.0.0
        libgssapi_krb5.so.2 -> libgssapi_krb5.so.2.2
        libisl.so.10 -> libisl.so.10.2.2
        libmenu.so.5 -> libmenu.so.5.9
        libpolkit-agent-1.so.0 -> libpolkit-agent-1.so.0.0.0
        libapt-inst.so.1.4 -> libapt-inst.so.1.4.0
        libmenuw.so.5 -> libmenuw.so.5.9
        libgobject-2.0.so.0 -> libgobject-2.0.so.0.4002.0
        libustr-1.0.so.1 -> libustr-1.0.so.1.0.4
        libept.so.1.aptpkg4.12 -> libept.so.1.aptpkg4.12
        libgnutls.so.26 -> libgnutls.so.26.22.6
        libelf.so.1 -> libelf-0.158.so
        libsasl2.so.2 -> libsasl2.so.2.0.25
        libedit.so.2 -> libedit.so.2.0.47
        libfreetype.so.6 -> libfreetype.so.6.11.1
        libGeoIP.so.1 -> libGeoIP.so.1.6.0
        libdebconfclient.so.0 -> libdebconfclient.so.0.0.0
        libicutu.so.52 -> libicutu.so.52.1
        libp11-kit.so.0 -> libp11-kit.so.0.0.0
        libnfnetlink.so.0 -> libnfnetlink.so.0.2.0
        libexpatw.so.1 -> libexpatw.so.1.6.0
        libitm.so.1 -> libitm.so.1.0.0
        libX11.so.6 -> libX11.so.6.3.0
        libapparmor.so.1 -> libapparmor.so.1.1.0
        libicui18n.so.52 -> libicui18n.so.52.1
        libnssutil3.so -> libnssutil3.so
        libevent-2.0.so.5 -> libevent-2.0.so.5.1.9
        libhcrypto.so.4 -> libhcrypto.so.4.1.0
        libapr-1.so.0 -> libapr-1.so.0.5.1
        libpipeline.so.1 -> libpipeline.so.1.3.0
        libpciaccess.so.0 -> libpciaccess.so.0.11.1
        liblber-2.4.so.2 -> liblber-2.4.so.2.8.3
        libicutest.so.52 -> libicutest.so.52.1
        libmysqlclient.so.18 -> libmysqlclient_r.so.18.0.0
        libapt-private.so.0.0 -> libapt-private.so.0.0.0
        libgc.so.1 -> libgc.so.1.0.3
        libiculx.so.52 -> libiculx.so.52.1
        libmpc.so.3 -> libmpc.so.3.0.0
        libgmodule-2.0.so.0 -> libgmodule-2.0.so.0.4002.0
        libtasn1.so.6 -> libtasn1.so.6.2.0
        libgck-1.so.0 -> libgck-1.so.0.0.0
        libnss3.so -> libnss3.so
        libidn.so.11 -> libidn.so.11.6.11
        libunistring.so.0 -> libunistring.so.0.1.2
        libpython2.7.so.1.0 -> libpython2.7.so.1.0
        libyaml-0.so.2 -> libyaml-0.so.2.0.2
        libkyotocabinet.so.16 -> libkyotocabinet.so.16.13.0
        libgpm.so.2 -> libgpm.so.2
        libdrm.so.2 -> libdrm.so.2.4.0
        libicuuc.so.52 -> libicuuc.so.52.1
        libgthread-2.0.so.0 -> libgthread-2.0.so.0.4002.0
        libicudata.so.52 -> libicudata.so.52.1
        libxml2.so.2 -> libxml2.so.2.9.1
        libdrm_radeon.so.1 -> libdrm_radeon.so.1.0.1
        libboost_system.so.1.54.0 -> libboost_system.so.1.54.0
        libpolkit-backend-1.so.0 -> libpolkit-backend-1.so.0.0.0
        libk5crypto.so.3 -> libk5crypto.so.3.1
        libasan.so.0 -> libasan.so.0.0.0
        libsigc-2.0.so.0 -> libsigc-2.0.so.0.0.0
        libicuio.so.52 -> libicuio.so.52.1
        libXdmcp.so.6 -> libXdmcp.so.6.0.0
        libgio-2.0.so.0 -> libgio-2.0.so.0.4002.0
        libntlm.so.0 -> libntlm.so.0.0.19
        libnuma.so.1 -> libnuma.so.1
        libheimntlm.so.0 -> libheimntlm.so.0.1.0
        libcurl-gnutls.so.4 -> libcurl-gnutls.so.4.3.0
        libXext.so.6 -> libXext.so.6.4.0
        libkrb5support.so.0 -> libkrb5support.so.0.1
        libform.so.5 -> libform.so.5.9
        libgmp.so.10 -> libgmp.so.10.1.3
        libdb-5.3.so -> libdb-5.3.so
        libdrm_intel.so.1 -> libdrm_intel.so.1.0.0
        librbd.so.1 -> librbd.so.1.0.0
        libpcap.so.0.8 -> libpcap.so.1.5.3
        libcap-ng.so.0 -> libcap-ng.so.0.0.0
        libmagic.so.1 -> libmagic.so.1.0.0
        libdrm_nouveau.so.1 -> libdrm_nouveau.so.1.0.0
        libICE.so.6 -> libICE.so.6.3.0
        libcloog-isl.so.4 -> libcloog-isl.so.4.0.0
        libffi.so.6 -> libffi.so.6.0.1
        libpanel.so.5 -> libpanel.so.5.9
        libgdbm_compat.so.3 -> libgdbm_compat.so.3.0.0
        libquadmath.so.0 -> libquadmath.so.0.0.0
        libasprintf.so.0 -> libasprintf.so.0.0.0
        libaccountsservice.so.0 -> libaccountsservice.so.0.0.0
        libcurl.so.4 -> libcurl.so.4.3.0
        libboost_iostreams.so.1.54.0 -> libboost_iostreams.so.1.54.0
        libXt.so.6 -> libXt.so.6.0.0
        libfribidi.so.0 -> libfribidi.so.0.3.5
        libpcreposix.so.3 -> libpcreposix.so.3.13.1
        libpanelw.so.5 -> libpanelw.so.5.9
        libapt-inst.so.1.5 -> libapt-inst.so.1.5.0
        libstdc++.so.6 -> libstdc++.so.6.0.19
        libSM.so.6 -> libSM.so.6.0.1
        libtasn1.so.3 -> libtasn1.so.3.1.12
        libsqlite3.so.0 -> libsqlite3.so.0.8.6
        libtic.so.5 -> libtic.so.5.9
        libgnutls-extra.so.26 -> libgnutls-extra.so.26.22.6
        libhx509.so.5 -> libhx509.so.5.0.0
        libestr.so.0 -> libestr.so.0.0.0
        libgdbm.so.3 -> libgdbm.so.3.0.0
        libXau.so.6 -> libXau.so.6.0.0
        libmpc.so.2 -> libmpc.so.2.0.0
        libpolkit-gobject-1.so.0 -> libpolkit-gobject-1.so.0.0.0
        libxslt.so.1 -> libxslt.so.1.1.28
        libgssapi.so.3 -> libgssapi.so.3.0.0
    /lib:
        libip6tc.so.0 -> libip6tc.so.0.1.0
        libxtables.so.10 -> libxtables.so.10.0.0
        libiptc.so.0 -> libiptc.so.0.0.0
        libip4tc.so.0 -> libip4tc.so.0.1.0
    /usr/lib:
    /sbin/ldconfig.real: Cannot stat /usr/lib/libiconv.so.2: No such file or directory
        libopcodes-2.24-system.so -> libopcodes-2.24-system.so
        libmu_imap.so.4 -> libmu_imap.so.4.0.0
        libguile-srfi-srfi-1-v-3.so.3 -> libguile-srfi-srfi-1-v-3.so.3.0.2
        libmu_mbox.so.4 -> libmu_mbox.so.4.0.0
        libmu_auth.so.4 -> libmu_auth.so.4.0.0
        libwhoopsie.so.0 -> libwhoopsie.so.0.0
        libpostfix-master.so.1 -> libpostfix-master.so.1.0.1
        libguilereadline-v-18.so.18 -> libguilereadline-v-18.so.18.0.0
        libdns.so.81 -> libdns.so.81.3.1
        libbind9.so.80 -> libbind9.so.80.0.3
        libisc.so.95 -> libisc.so.95.5.0
        libdns.so.100 -> libdns.so.100.2.2
        libpostfix-global.so.1 -> libpostfix-global.so.1.0.1
        libisccfg.so.90 -> libisccfg.so.90.1.0
        libperl.so.5.18 -> libperl.so.5.18.2
        libmu_dbm.so.4 -> libmu_dbm.so.4.0.0
        libguile-srfi-srfi-13-14-v-3.so.3 -> libguile-srfi-srfi-13-14-v-3.so.3.0.1
        liblwres.so.90 -> liblwres.so.90.0.7
        libmu_maildir.so.4 -> libmu_maildir.so.4.0.0
        libguile.so.17 -> libguile.so.17.4.0
        libgsasl.so.7 -> libgsasl.so.7.9.6
        libcwidget.so.3 -> libcwidget.so.3.0.0
        libmailutils.so.4 -> libmailutils.so.4.0.0
        libmu_mailer.so.4 -> libmu_mailer.so.4.0.0
        libgirepository-1.0.so.1 -> libgirepository-1.0.so.1.0.0
        libguile-srfi-srfi-4-v-3.so.3 -> libguile-srfi-srfi-4-v-3.so.3.0.1
        libbind9.so.90 -> libbind9.so.90.0.9
        libpostfix-tls.so.1 -> libpostfix-tls.so.1.0.1
        libguile-2.0.so.22 -> libguile-2.0.so.22.7.0
        liblwres.so.80 -> liblwres.so.80.0.1
        libxapian.so.22 -> libxapian.so.22.6.3
        libisccc.so.80 -> libisccc.so.80.0.0
        libmu_cfg.so.0 -> libmu_cfg.so.0.0.0
        libmu_sieve.so.4 -> libmu_sieve.so.4.0.0
        libmu_pop.so.4 -> libmu_pop.so.4.0.0
        libpostfix-dns.so.1 -> libpostfix-dns.so.1.0.1
        libisccfg.so.82 -> libisccfg.so.82.0.0
        libisc.so.83 -> libisc.so.83.0.1
        libisccc.so.90 -> libisccc.so.90.0.6
        libmu_py.so.4 -> libmu_py.so.4.0.0
        libguilereadline-v-17.so.17 -> libguilereadline-v-17.so.17.0.3
        libbfd-2.24-system.so -> libbfd-2.24-system.so
        libmu_scm.so.4 -> libmu_scm.so.4.0.0
        libguile-srfi-srfi-60-v-2.so.2 -> libguile-srfi-srfi-60-v-2.so.2.0.2
        libmu_mh.so.4 -> libmu_mh.so.4.0.0
        libpostfix-util.so.1 -> libpostfix-util.so.1.0.1
        libboost_iostreams.so.1.46.1 -> libboost_iostreams.so.1.46.1
        libmu_compat.so.0 -> libmu_compat.so.0.0.0
    Code:
    user@ip-10-153-174-8:~$ ldd $(which iconv)
        linux-vdso.so.1 =>  (0x00007ffcde52d000)
        libiconv.so.2 => not found
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f462c49d000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f462c862000)

  2. #22
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,679
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Getting error when trying to update Ubuntu

    jay119; welp;

    Going to have to get into a learning mode:
    Code:
    /sbin/ldconfig.real: Path `/lib/x86_64-linux-gnu' given more than once
    
    -bk-
    
    /sbin/ldconfig.real: Cannot stat /usr/lib/libiconv.so.2: No such file or directory
    see if I can find out what is not going on.
    ------------------
    EDIT, let's start down this rabbit hole:
    Code:
    cd /
    sudo find ./ | grep libiconv.so.2
    ---------------------------

    sometimes I wonder
    Last edited by Bashing-om; March 8th, 2016 at 11:01 PM.
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  3. #23
    Join Date
    Mar 2016
    Beans
    18

    Re: Getting error when trying to update Ubuntu

    Thank you for all your help, let me know what I can do next to get this resolved.

  4. #24
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,679
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Getting error when trying to update Ubuntu

    jay119; Hey;

    Has me guessing, and sure has my interest to discover what you have done that requires the libiconv.so.2 library.

    see my edit on the prior thread. where is the library ( if any) installed ?
    maybe all we need to do is tell the system where it is ???

    in for a learning experience
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  5. #25
    Join Date
    Mar 2016
    Beans
    18

    Re: Getting error when trying to update Ubuntu

    Ok, here are the results.

    Code:
    user@ip-10-153-174-8:/$ sudo find ./ | grep libiconv.so.2
    ./opt/bitnami/common/lib/libiconv.so.2.5.1
    ./opt/bitnami/common/lib/libiconv.so.2

  6. #26
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,679
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Getting error when trying to update Ubuntu

    jay119; OK ...

    So what is the background on 'bitnami' ? Where did it come from, and how did you install it ?

    is the symlink to libiconv.so.2.5.1 in place ?
    show:
    Code:
    ls -al /opt/
    ls -al /opt/bitnami/common/lib/libiconv.so.2
    what do we learn today
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  7. #27
    Join Date
    Mar 2016
    Beans
    18

    Re: Getting error when trying to update Ubuntu

    I inherited this amazon (AWS) server, and bitnami is the Lamp stack installed on the server.

    This is what I get when I ssh into the server for a welcome message:
    Code:
    Welcome to Ubuntu 14.04.4 LTS (GNU/Linux 3.13.0-79-generic x86_64)
           ___ _ _   _  _            _  
          | _ |_) |_| \| |__ _ _ __ (_) 
          | _ \ |  _| .` / _` | '  \| | 
          |___/_|\__|_|\_\__,_|_|_|_|_| 
    
      *** Welcome to the BitNami LAMP Stack 5.4.14-0 ***
      *** BitNami Wiki:   http://wiki.bitnami.com/ ***
      *** BitNami Forums: http://answers.bitnami.com/ ***
    Last login: Wed Mar  9 13:53:20 2016 from 184-89-163-69.res.bhn.net
    Code:
    bitnami@ip-10-153-174-8:~$ ls -al /opt/
    total 12
    drwxr-xr-x  3 root root 4096 Apr 13  2013 .
    drwxr-xr-x 22 root root 4096 Mar  6 18:21 ..
    drwxr-xr-x 20 root root 4096 Apr 13  2013 bitnami
    Code:
    bitnami@ip-10-153-174-8:~$ ls -al /opt/bitnami/common/lib/libiconv.so.2
    lrwxrwxrwx 1 root root 17 Apr 13  2013 /opt/bitnami/common/lib/libiconv.so.2 -> libiconv.so.2.5.1

  8. #28
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,679
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Getting error when trying to update Ubuntu

    jay119; Thanks,

    Just goes to show what I do not know .

    OK; bitnami is legit, required, and wanted ..

    so does the system have the path to bitnami's library ?
    what returns:
    Code:
    echo $PATH
    'cause the library is there, and the required symlink FROM /opt is there . Does the system -still- know ?

    Now as to how this library ties in with the keyboard configuration - why the package manager is unhappy ; I just have no idea.

    learning that why
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  9. #29
    Join Date
    Mar 2016
    Beans
    18

    Re: Getting error when trying to update Ubuntu

    Code:
    bitnami@ip-10-153-174-8:~$ echo $PATH
    /opt/bitnami/frameworks/laravel/app/Console:/opt/bitnami/frameworks/cakephp/app/Console:/opt/bitnami/frameworks/codeigniter/bin:/opt/bitnami/frameworks/symfony/bin:/opt/bitnami/frameworks/zendframework/app/Console:/opt/bitnami/heroku/bin:/opt/bitnami/ruby/bin:/opt/bitnami/git/bin:/opt/bitnami/perl/bin:/opt/bitnami/varnish/bin:/opt/bitnami/sqlite/bin:/opt/bitnami/php/bin:/opt/bitnami/mysql/bin:/opt/bitnami/apache2/bin:/opt/bitnami/common/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games

  10. #30
    Join Date
    May 2010
    Location
    uk
    Beans
    9,299
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Getting error when trying to update Ubuntu

    Hi

    Quote Originally Posted by jay119 View Post
    I tried "sudo apt-get install -f", but still received the same error.
    Try this. It should add the library to the cache.

    Code:
    echo /opt/bitnami/common/lib/ | sudo tee /etc/ld.so.conf.d/bitnami.conf
    Code:
    sudo ldconfig
    Code:
    sudo apt-get -f install
    Kind regards
    If you believe everything you read, you better not read. ~ Japanese Proverb

    If you don't read the newspaper, you're uninformed. If you read the newspaper, you're mis-informed. - Mark Twain

    Thinking about becoming an Ubuntu Member?

Page 3 of 4 FirstFirst 1234 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •